# PlanAttributes

Attributes for creating and updating a plan

```json
{
  "productId": "456123",
  "name": "",
  "code": "",
  "position": 123,
  "addon": true,
  "selfServiceBuy": true,
  "selfServiceCancel": true,
  "selfServiceRenew": true,
  "allowMultipleSubscriptions": true,
  "description": "",
  "internalNotes": "",
  "availableFrom": "2022-06-01",
  "availableTo": "2022-06-01",
  "isVisible": true,
  "featureIds": [
    "456123"
  ],
  "pricingDescription": "",
  "compatiblePlanIds": [
    "456123"
  ],
  "pricingStyle": "PlanPricingStyles",
  "contactUsLabel": "",
  "contactUsUrl": ""
}
```

| Name                       | Type                                                                     | Description                                                    |
| -------------------------- | ------------------------------------------------------------------------ | -------------------------------------------------------------- |
| productId                  | ID                                                                       |                                                                |
| name                       | String                                                                   |                                                                |
| code                       | String                                                                   |                                                                |
| position                   | Int                                                                      | The plan's position wihtin the product                         |
| addon                      | Boolean                                                                  |                                                                |
| selfServiceBuy             | Boolean                                                                  | Allows customers to buy this plan via the portal               |
| selfServiceCancel          | Boolean                                                                  | Allows customers to cancel this plan via the portal            |
| selfServiceRenew           | Boolean                                                                  | Allows customers to renew this plan via the portal             |
| allowMultipleSubscriptions | Boolean                                                                  | Allows multiple subscriptions of this plan on the same account |
| description                | String                                                                   |                                                                |
| internalNotes              | String                                                                   |                                                                |
| availableFrom              | ISO8601Date                                                              |                                                                |
| availableTo                | ISO8601Date                                                              |                                                                |
| isVisible                  | Boolean                                                                  |                                                                |
| featureIds                 | List (ID)                                                                |                                                                |
| pricingDescription         | String                                                                   |                                                                |
| compatiblePlanIds          | List (ID)                                                                |                                                                |
| pricingStyle               | [PlanPricingStyles](/developer/api-reference/enums.md#planpricingstyles) |                                                                |
| contactUsLabel             | String                                                                   | Label for the contact us button                                |
| contactUsUrl               | String                                                                   | URL for the contact us button                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/planattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
